apiVersion: v1
data:
  chut.conf: |
    server_tokens off;  # pour rendre Nginx plus discret
kind: ConfigMap
metadata:
  annotations:
    explication: démonstration quant à la possibilité de décliner grâce à kustomize
  labels:
    concept: kustom
    variante: dev-phase
  name: chut-nginx
  namespace: dev
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    explication: démonstration quant à la possibilité de décliner grâce à kustomize
  labels:
    app: nginx-discret
    concept: kustom
    variante: dev-phase
  name: nginx-discret
  namespace: dev
spec:
  replicas: 3
  selector:
    matchLabels:
      concept: kustom
      variante: dev-phase
  template:
    metadata:
      annotations:
        explication: démonstration quant à la possibilité de décliner grâce à kustomize
      labels:
        concept: kustom
        variante: dev-phase
    spec:
      containers:
      - image: nginx:alpine
        imagePullPolicy: IfNotPresent
        name: serveurweb
        volumeMounts:
        - mountPath: /etc/nginx/conf.d/chut.conf
          name: discret
          subPath: chut.conf
      volumes:
      - configMap:
          items:
          - key: chut.conf
            path: chut.conf
          name: chut-nginx
        name: discret
